import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * A class to display a frame with stuff in it.
 * In this version, the ActionListener is the GraphicTestbed itself.
 * 
 * @author Steve Bloch 
 * @version v3a oct. 12
 */
public class GraphicTestbed implements ActionListener
{
    private int counter = 0;
    
    public GraphicTestbed() {
        final int WIDTH = 300;
        final int HEIGHT = 200;
        JFrame frame = new JFrame();
        
        frame.setSize(WIDTH, HEIGHT);
        frame.setTitle("Dumb example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        // frame.setLayout (new FlowLayout());
        
        
        JButton myButton = new JButton("Next");
        frame.add(myButton);
        myButton.addActionListener (this);

        
        frame.setVisible(true);
    }
    
    public static void display ()
    {
        new GraphicTestbed();
    }
    public void actionPerformed (ActionEvent e)
    {
        System.out.println ("Counter = " + this.counter);
        ++counter;
    }
    
}
